### Method

# Gimp ColorProfile new_linear_from_color_profile

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_linear_from_color_profile (
      GimpColorProfile* profile
    )

#### Description [src]

This function creates a new RGB `GimpColorProfile` with a linear TRC and `profile`‘s RGB chromacities and whitepoint.

Available since: | 2.10

#### Return value

Returns: | `GimpColorProfile`
| The new `GimpColorProfile`, or `NULL` if `profile` is not an RGB profile or not matrix-based.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.